For the complete documentation index, see llms.txt. This page is also available as Markdown.

List of backups.

Retrieves all lists of backups for all MariaDB clusters in this contract.

get
/backups
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
Responses
200

Successful operation.

application/json

Pagination information in list responses.

idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
totalintegerOptional

The total number of elements matching the request (without pagination).

Default: 0Example: 200
get/backups
GET /backups HTTP/1.1
Host: mariadb.de-fra.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "items": [
    {
      "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
      "properties": {
        "clusterId": "498ae72f-411f-11eb-9d07-046c59cc737e",
        "location": "de",
        "earliestRecoveryTargetTime": "2021-10-23T01:21:10Z",
        "size": 2052,
        "baseBackups": [
          {
            "created": "2020-12-10T13:37:50+01:00",
            "size": 543
          }
        ]
      }
    }
  ],
  "offset": 200,
  "limit": 100,
  "total": 200,
  "_links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?